#define __LIBRARY__
#include <string.h>
#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#ifndef PTHREAD_H
#define PTHREAD_H

struct pthread_attr
{
    size_t stacksize;
    int state;
    int sched_priority;
};

typedef struct pthread_attr pthread_attr_t;
typedef unsigned int pthread_t;


#ifdef  __cplusplus
extern "C" {
#endif

    void pthread_exit(void* value_ptr);
    int pthread_attr_init(pthread_attr_t* attr);
    int pthread_create(pthread_t* thread, const pthread_attr_t* attr, void* (*start)(void*), void* arg);
    void pthread_exit(void* value_ptr);
    int pthread_join(pthread_t thread, void** value_ptr);

#ifdef  __cplusplus
}
#endif

#endif


